--- ngx_array-1.c	2013-08-29 17:15:47.427502586 -0300
+++ ngx_array.c	2013-08-29 17:14:20.343501679 -0300
@@ -47,16 +47,13 @@
 void *
 ngx_array_push(ngx_array_t *a)
 {
-    void        *elt, *new;
-    size_t       size;
-    ngx_pool_t  *p;
+    void *elt;
 
     if (a->nelts == a->nalloc) {
+        const size_t size = a->size * a->nalloc;
+        ngx_pool_t *p;
 
         /* the array is full */
-
-        size = a->size * a->nalloc;
-
         p = a->pool;
 
         if ((u_char *) a->elts + size == p->d.last
@@ -72,6 +69,7 @@
 
         } else {
             /* allocate a new array */
+            void *new;
 
             new = ngx_palloc(p, 2 * size);
             if (new == NULL) {
@@ -94,14 +92,11 @@
 void *
 ngx_array_push_n(ngx_array_t *a, ngx_uint_t n)
 {
-    void        *elt, *new;
-    size_t       size;
-    ngx_uint_t   nalloc;
-    ngx_pool_t  *p;
-
-    size = n * a->size;
+    void *elt;
 
     if (a->nelts + n > a->nalloc) {
+        const size_t size = n * a->size;
+        ngx_pool_t *p;
 
         /* the array is full */
 
@@ -120,8 +115,8 @@
 
         } else {
             /* allocate a new array */
-
-            nalloc = 2 * ((n >= a->nalloc) ? n : a->nalloc);
+            const ngx_uint_t nalloc = 2 * ((n >= a->nalloc) ? n : a->nalloc);
+            void *new;
 
             new = ngx_palloc(p, nalloc * a->size);
             if (new == NULL) {
